Skip to main content
GET
/
scans
/
{id}
/
output
Get scan output by ID
curl --request GET \
  --url https://app.pentest-tools.com/api/v2/scans/{id}/output \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "output_data": {
      "subdomains": [
        {
          "hostname": "host.mydomain.com",
          "ip_address": "8.8.8.8",
          "os": "<string>",
          "server": "<string>",
          "technology": "<string>",
          "web_platform": "<string>",
          "page_title": "<string>",
          "whois_netname": "<string>",
          "whois_country": "DE",
          "resolved": true
        }
      ]
    },
    "output_type": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Use the "API key" from the profile page as the token

Headers

Accept
enum<string>
Available options:
application/json,
application/pdf

Path Parameters

id
integer
required

id of scan

Response

OK

data
object
required